Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454174 - Review Request: gfs-eustace-font - GFS Eustace majuscule Greek font
Summary: Review Request: gfs-eustace-font - GFS Eustace majuscule Greek font
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-06 00:10 UTC by Nicolas Mailhot
Modified: 2013-03-13 05:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-12 10:29:42 UTC
sundaram: fedora-review+
a.badger: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Mailhot 2008-07-06 00:10:39 UTC
Spec URL: http://nim.fedorapeople.org/gfs-eustace-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-eustace-fonts-20080303-1.fc10.src.rpm

Description:
As it is known, the Greek alphabet was used in majuscule form for over a
millenium before the miniscule letters gradually replaced it until they became
the official script in the 9th century A.D. Thereafter, majuscule letters were
confined to sparce use as initials or elaborate titles until the Italian
Renaissance.

The new art of Typography, as well as the need of the humanists to mimic the
ancient Greco-Roman period brought back the extensive use of the majuscule
letterforms in both Latin and Greek typography. Greek books of the time were
printed using the contemporary Byzantine hand with which they combined capital
letters modeled on the Roman antiquity, i.e. with thick and thin strokes and
serifs. At the same time the byzantine majuscule tradition, principally used on
theological editions, remained alive until the early 19th century.

GFS Eustace is a typical example of byzantine woodcut initials used in many
similar forms in Italy for Greek editions of the Bible, Prayers and other
theological literature from the 15th to 19th centuries.

It has been designed by George D. Matthiopoulos.

See also http://fedoraproject.org/wiki/GFS_Eustace_font

Comment 1 Minto Joseph 2008-07-10 18:18:29 UTC
Unofficial Review

- Rpmlint: OK
- Package name: OK
  - Version: Based on a date: OK
- Specfile name: OK
- Packaging guidelines: OK
- Software license: OK
- License field in the spec file: OK
- License text from the source zip file included in %doc: OK
- The spec file is in American English: OK
- The spec file is legible: OK
- Source files the same as provided by upstream:  OK
- Builds into a binary RPM; not architecture dependent, builds ok. OK
- No BuildRequires; doesn't depend on any libraries or tools besides the base
system: OK
- No locales, no need to use %find_lang: OK
- No shared libraries: OK
- Package not relocatable: OK
- Package owns all the created directories: OK
- No duplicates in %files: OK
- File permissions: OK
- Proper %clean section: OK
- Consistent macro use: OK
- No large documentation files, no -doc subpackage: OK
- Font doesn't need %doc files for operation: OK
- No header files, no -devel subpackage: OK
- No static libraries, no -static subpackage: OK
- No dependency on pkgconfig: OK
- No .la archives: OK
- Not a GUI app, no .desktop file: OK
- No other packages' files owned: OK
- rm -rf %{buildroot} is run at the beginning of %install: OK
- All filenames valid UTF-8: OK



Found few typos in the %description section in spec file.

millenium = millennium
sparce = sparse


Comment 2 Rahul Sundaram 2008-07-11 14:48:22 UTC
Thanks Mintos for the review. This package is APPROVED

Comment 3 Nicolas Mailhot 2008-07-11 15:35:39 UTC
New Package CVS Request
=======================
Package Name: gfs-eustace-font
Short Description: GFS Eustace majuscule Greek font
Owners: nim
Branches: devel only
InitialCC: fonts-sig
Cvsextras Commits: yes


Comment 4 Kevin Fenzi 2008-07-11 16:22:54 UTC
cvs done.

Comment 5 Nicolas Mailhot 2008-07-11 19:48:49 UTC
sorry about this, I dropped a s when cut and pasting the package name, the real
package is gfs-eustace-fonts 

New Package CVS Request
=======================
Package Name: gfs-eustace-fonts
Short Description: GFS Eustace majuscule Greek font
Owners: nim
Branches: devel only
InitialCC: fonts-sig
Cvsextras Commits: yes


Comment 6 Toshio Ernie Kuratomi 2008-07-11 23:55:24 UTC
cvs done.

Comment 7 Nicolas Mailhot 2008-07-12 10:29:42 UTC
Thanks a lot and sorry for the bother


Note You need to log in before you can comment on or make changes to this bug.